> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/auth/mfa/types > Update enterprise MFA policy to allow/disallow specific MFA types. ## OpenAPI ````json PUT /v1/auth/mfa/types { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/auth/mfa/types": { "put": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1AuthMfaTypesPutRequest" } } } }, "responses": { "204": { "description": "No Content" } }, "description": "Update enterprise MFA policy to allow/disallow specific MFA types." } } }, "components": { "schemas": { "v1AuthMfaTypesPutRequest": { "type": "object", "properties": { "allowedMfaTypes": { "type": "array", "items": { "type": "string", "example": "ENUM_VALUE", "description": " (required)" } } }, "additionalProperties": false, "required": [ "allowedMfaTypes" ] } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````